%define upstream_name    Rinci
%define upstream_version 1.1.103

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A transactional system based on functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This document gives guide on how to convert your metadata from older
version.

Examples are written in Perl, but are not limited to this language.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Nov 01 2022 tv <tv> 1.1.103-1.mga9
+ Revision: 1900800
- update to 1.1.103

* Mon Apr 25 2022 tv <tv> 1.1.102-1.mga9
+ Revision: 1853122
- update to 1.1.102

* Tue Apr 19 2022 tv <tv> 1.1.101-1.mga9
+ Revision: 1851551
- update to 1.1.101

* Mon Mar 21 2022 umeabot <umeabot> 1.1.100-2.mga9
+ Revision: 1816067
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 tv <tv> 1.1.100-1.mga9
+ Revision: 1773146
- update to 1.1.100

* Fri Dec 31 2021 tv <tv> 1.1.99-1.mga9
+ Revision: 1765526
- update to 1.1.99

* Sun Apr 04 2021 tv <tv> 1.1.98-1.mga9
+ Revision: 1713142
- update to 1.1.98

* Thu Feb 25 2021 tv <tv> 1.1.96-1.mga9
+ Revision: 1690361
- update to 1.1.96

* Sat Oct 03 2020 tv <tv> 1.1.95-1.mga8
+ Revision: 1631937
- update to 1.1.95

* Fri Sep 25 2020 tv <tv> 1.1.94-1.mga8
+ Revision: 1629954
- update to 1.1.94

* Sat Feb 15 2020 umeabot <umeabot> 1.1.93-2.mga8
+ Revision: 1527652
- Mageia 8 Mass Rebuild

* Fri Jul 19 2019 tv <tv> 1.1.93-1.mga8
+ Revision: 1422872
- update to 1.1.93

* Sat Jun 29 2019 tv <tv> 1.1.91-1.mga8
+ Revision: 1415964
- update to 1.1.91

* Mon Apr 22 2019 tv <tv> 1.1.89-1.mga7
+ Revision: 1394703
- update to 1.1.89

* Wed Dec 05 2018 tv <tv> 1.1.87-1.mga7
+ Revision: 1338447
- update to 1.1.87

* Thu Sep 20 2018 umeabot <umeabot> 1.1.86-2.mga7
+ Revision: 1285957
- Mageia 7 Mass Rebuild

* Sat Jan 13 2018 guillomovitch <guillomovitch> 1.1.86-1.mga7
+ Revision: 1192538
- new version 1.1.86

* Sun Nov 19 2017 guillomovitch <guillomovitch> 1.1.85-1.mga7
+ Revision: 1177771
- new version 1.1.85

* Sat Dec 31 2016 guillomovitch <guillomovitch> 1.1.84-1.mga6
+ Revision: 1078848
- new version 1.1.84

* Sat Dec 17 2016 guillomovitch <guillomovitch> 1.1.83-1.mga6
+ Revision: 1075819
- new version 1.1.83

* Sun Jun 19 2016 pterjan <pterjan> 1.1.79-2.mga6
+ Revision: 1032874
- Rebuild for perl 5.22.2

* Sat Mar 26 2016 guillomovitch <guillomovitch> 1.1.79-1.mga6
+ Revision: 995581
- new version 1.1.79

* Fri Feb 19 2016 umeabot <umeabot> 1.1.78-2.mga6
+ Revision: 969643
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 1.1.78-1.mga6
+ Revision: 873595
- update to 1.1.78

* Tue Jul 07 2015 sander85 <sander85> 1.1.77-1.mga6
+ Revision: 852534
- update to 1.1.77

* Wed Oct 15 2014 umeabot <umeabot> 1.1.52-3.mga5
+ Revision: 739745
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.52-2.mga5
+ Revision: 686109
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 guillomovitch <guillomovitch> 1.1.52-1.mga5
+ Revision: 657970
- imported package perl-Rinci

